Get one tracked keyword and its latest top 10.

GEThttps://api.appgoat.ai/v1/tracked-keywords/{id}
FreeoperationId getTrackedKeyword

Request

curl "https://api.appgoat.ai/v1/tracked-keywords/123" \
  -H "x-api-key: $APPGOAT_API_KEY"

Path parameters

idintegerrequired

Response

200 with data: TrackedKeyword. See the envelope for meta.

idinteger
termstring
storeStore
countrystring
depthinteger
cadence_minutesinteger
tagsstring[] | null
popularityinteger | null
last_run_atstring | null
top10string[] | null
ranked_atstring | null
Example
{
  "data": {
    "id": 1,
    "term": "photo editor",
    "store": "apple",
    "country": "us",
    "depth": 1,
    "cadence_minutes": 1,
    "tags": [
      "string"
    ],
    "popularity": 1,
    "last_run_at": "2026-10-22T10:00:00Z",
    "top10": [
      "string"
    ],
    "ranked_at": "2026-10-22T10:00:00Z"
  },
  "meta": {
    "credits_used": 0,
    "credits_remaining": 9981,
    "request_id": "req_123"
  }
}

Status codes

200
The tracked keyword.
Missing or invalid API key.
Not found.
Too many requests per second for your plan.